Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class ActionResult

    java.lang.Object
      things.thinger.service.httptool.ActionResult

    public class ActionResult

extends java.lang.Object

An action result.

     It can be:
     QUIET - which means there is no response.  The server will just put a polite OK message.
     PAGE - there is a page response.  The page name is available from this object with a call to getPageResult();
     ACTION - there is a new action to perform.  The request should be relayed to it.  The new action can be gotten from a call to getActionResult()
     ERROR - there was an error.  the response will be handled by the service.  However, you can influence which page is used for error by setting it with a call to setPageResult().

Version:
  1.0

  Version History

      EPG - Initial - 17 NOV 07

Author:
  Erich P. Gatejen

Nested Class Summary
`static class` | `ActionResult.Type`

Field Summary
`ActionResult.Type` | `type`

Constructor Summary
`ActionResult(ActionResult.Type type)` Constructor.

Method Summary
`void` | `addHeader(java.lang.String name, java.lang.String value)` Add a header.
`java.lang.String` | `getActionResult()` Get the action result name.
`java.util.Collection<java.lang.String>` | `getHeaders()` Get header values.
`java.io.InputStream` | `getInputStream()` Get input stream.
`java.lang.String` | `getPageResult()` Get the result page name.
`java.lang.String` | `getResponse()` Get the response line.
`void` | `setActionResult(java.lang.String actionName)` Set the action result name.
`void` | `setInputStream(java.io.InputStream inputStream)` Set input stream.
`void` | `setPageResult(java.lang.String pageName)` Set the page result name.
`void` | `setResponse(java.lang.String reponse)` Set the response line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public ActionResult.Type type

Constructor Detail

### ActionResult

    public ActionResult(ActionResult.Type type)

  Constructor.

  Parameters:
    `type` - the type.

Method Detail

### getPageResult

    public java.lang.String getPageResult()

  Get the result page name. It may be null.

  Returns:
    the page name.

### setPageResult

    public void setPageResult(java.lang.String pageName)

  Set the page result name. Null is acceptable.

  Parameters:
    `pageName` - the page name. Null is acceptable.

### getActionResult

    public java.lang.String getActionResult()

  Get the action result name.

  Returns:
    the name.

### setActionResult

    public void setActionResult(java.lang.String actionName)

  Set the action result name.

  Parameters:
    `actionName` - the name. Null is acceptable.

### getHeaders

    public java.util.Collection<java.lang.String> getHeaders()

  Get header values.

  Returns:
    the headers.

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Add a header. It will override any previous header of the same name.

  Parameters:
    `name` - Name
    `value` - Value

### getResponse

    public java.lang.String getResponse()

  Get the response line.

  Returns:
    the response.

### setResponse

    public void setResponse(java.lang.String reponse)

  Set the response line.

  Parameters:
    `reponse` - the response.

### setInputStream

    public void setInputStream(java.io.InputStream inputStream)

  Set input stream. This done sometime right before reponse.

  Parameters:
    `inputStream` - the data stream.

### getInputStream

    public java.io.InputStream getInputStream()

  Get input stream. This is required for SERVE action.

  Returns:
    the data stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.